<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.greenorange.promotion.mapper.FileInfoMapper">

    <resultMap id="BaseResultMap" type="com.greenorange.promotion.model.entity.FileInfo">
            <id property="id" column="id" jdbcType="BIGINT"/>
            <result property="name" column="name" jdbcType="VARCHAR"/>
            <result property="type" column="type" jdbcType="VARCHAR"/>
            <result property="path" column="path" jdbcType="VARCHAR"/>
            <result property="size" column="size" jdbcType="BIGINT"/>
            <result property="fileView" column="fileView" jdbcType="VARCHAR"/>
            <result property="biz" column="biz" jdbcType="VARCHAR"/>
            <result property="isDelete" column="isDelete" jdbcType="TINYINT"/>
            <result property="createTime" column="createTime" jdbcType="TIMESTAMP"/>
            <result property="updateTime" column="updateTime" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,name,type,
        path,size,fileView,
        biz,isDelete,createTime,
        updateTime
    </sql>
</mapper>
